# Uses of Interface
jdk.jshell.SourceCodeAnalysis.Documentation

Packages that use SourceCodeAnalysis.Documentation
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.Documentation in jdk.jshell

Methods in jdk.jshell that return types with arguments of type SourceCodeAnalysis.Documentation
Modifier and Type
Method
Description
`abstract List<SourceCodeAnalysis.Documentation>`
SourceCodeAnalysis.`documentation(String input, int cursor, boolean computeJavadoc)`
Compute documentation for the given user's input.